Package com.sas.services.storedprocess

# Class PermanentPackageResultHints

java.lang.Object
com.sas.services.storedprocess.ResultHints
com.sas.services.storedprocess.PermanentPackageResultHints

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public final class PermanentPackageResultHints extends ResultHints
Deprecated.
This ResultHints sub-class specfies hints for the RESULT_TYPE_PERMANENT_FILE_PACKAGE result type.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.storedprocess.ResultHints

  `HINT_SUBTYPE_NA, HINT_SUBTYPE_SET, HINT_SUBTYPE_WEBDAV_DAVSERVER, HINT_SUBTYPE_WEBDAV_URL, HINT_SUBTYPE_WEBDAV_USER_PR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchiveName()`
  Deprecated.
  Gets the instance name of the archive.
  `String`
  `getArchivePath()`
  Deprecated.
  Gets the repository name of the archive.
  `void`
  `setArchiveName(String archiveName)`
  Deprecated.
  Sets the instance name of the archive.
  `void`
  `setArchivePath(String archivePath)`
  Deprecated.
  Sets the repository name of the archive.

  ### Methods inherited from class com.sas.services.storedprocess.ResultHints

  `clone, getResultLocation, isLifecycleBound, isNewInstanceCreated, setLifecycleBound, setNewInstanceCreated`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setArchiveName

    public void setArchiveName(String archiveName)
    Deprecated.
    Sets the instance name of the archive.
    Parameters:
      `archiveName` - the name of the archive instance.

  - ### getArchiveName

    public String getArchiveName()
    Deprecated.
    Gets the instance name of the archive.
    Returns:
      archiveName the name of the archive instance.

  - ### setArchivePath

    public void setArchivePath(String archivePath)
    Deprecated.
    Sets the repository name of the archive.
    Parameters:
      `archivePath` - the name of the repository to contain the archive.

  - ### getArchivePath

    public String getArchivePath()
    Deprecated.
    Gets the repository name of the archive.
    Returns:
      the name of the repository to contain the archive.